Viewing docs for Alibaba Cloud v3.105.0
published on Thursday, Jul 16, 2026 by Pulumi
published on Thursday, Jul 16, 2026 by Pulumi
Viewing docs for Alibaba Cloud v3.105.0
published on Thursday, Jul 16, 2026 by Pulumi
published on Thursday, Jul 16, 2026 by Pulumi
This data source provides the Esa Origin Rules of the current Alibaba Cloud user.
NOTE: Available since v1.279.0.
Example Usage
Basic Usage
import * as pulumi from "@pulumi/pulumi";
import * as alicloud from "@pulumi/alicloud";
const config = new pulumi.Config();
const name = config.get("name") || "terraform-example";
const _default = alicloud.esa.getSites({
planSubscribeType: "enterpriseplan",
});
const defaultOriginRule = new alicloud.esa.OriginRule("default", {
siteId: output(_default.then(_default => _default.sites?.[0]?.id)).apply(x =>String(x)),
siteVersion: 0,
ruleEnable: "on",
ruleName: name,
rule: "true",
sequence: 1,
originHost: "origin.example.com",
originScheme: "http",
originSni: "origin.example.com",
originHttpsPort: "443",
originHttpPort: "8080",
originReadTimeout: "30",
dnsRecord: "test.example.com",
originVerify: "on",
originMtls: "on",
follow302Enable: "on",
follow302MaxTries: "3",
follow302TargetHost: "redirect.example.com",
follow302RetainHeader: "on",
follow302RetainArgs: "on",
range: "on",
rangeChunkSize: "1MB",
});
const ids = alicloud.esa.getOriginRulesOutput({
ids: [defaultOriginRule.id],
siteId: defaultOriginRule.siteId,
});
export const esaOriginRulesId0 = ids.apply(ids => ids.rules?.[0]?.id);
import pulumi
import pulumi_alicloud as alicloud
config = pulumi.Config()
name = config.get("name")
if name is None:
name = "terraform-example"
default = alicloud.esa.get_sites(plan_subscribe_type="enterpriseplan")
default_origin_rule = alicloud.esa.OriginRule("default",
site_id=output(default.sites[0].id).apply(lambda x: str(x)),
site_version=0,
rule_enable="on",
rule_name=name,
rule="true",
sequence=1,
origin_host="origin.example.com",
origin_scheme="http",
origin_sni="origin.example.com",
origin_https_port="443",
origin_http_port="8080",
origin_read_timeout="30",
dns_record="test.example.com",
origin_verify="on",
origin_mtls="on",
follow302_enable="on",
follow302_max_tries="3",
follow302_target_host="redirect.example.com",
follow302_retain_header="on",
follow302_retain_args="on",
range="on",
range_chunk_size="1MB")
ids = alicloud.esa.get_origin_rules_output(ids=[default_origin_rule.id],
site_id=default_origin_rule.site_id)
pulumi.export("esaOriginRulesId0", ids.rules[0].id)
package main
import (
"github.com/pulumi/pulumi-alicloud/sdk/v3/go/alicloud/esa"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi/config"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
cfg := config.New(ctx, "")
name := "terraform-example"
if param := cfg.Get("name"); param != "" {
name = param
}
_default, err := esa.GetSites(ctx, &esa.GetSitesArgs{
PlanSubscribeType: pulumi.StringRef("enterpriseplan"),
}, nil)
if err != nil {
return err
}
defaultOriginRule, err := esa.NewOriginRule(ctx, "default", &esa.OriginRuleArgs{
SiteId: pulumi.Int(_default.Sites[0].Id),
SiteVersion: pulumi.Int(0),
RuleEnable: pulumi.String("on"),
RuleName: pulumi.String(name),
Rule: pulumi.String("true"),
Sequence: pulumi.Int(1),
OriginHost: pulumi.String("origin.example.com"),
OriginScheme: pulumi.String("http"),
OriginSni: pulumi.String("origin.example.com"),
OriginHttpsPort: pulumi.String("443"),
OriginHttpPort: pulumi.String("8080"),
OriginReadTimeout: pulumi.String("30"),
DnsRecord: pulumi.String("test.example.com"),
OriginVerify: pulumi.String("on"),
OriginMtls: pulumi.String("on"),
Follow302Enable: pulumi.String("on"),
Follow302MaxTries: pulumi.String("3"),
Follow302TargetHost: pulumi.String("redirect.example.com"),
Follow302RetainHeader: pulumi.String("on"),
Follow302RetainArgs: pulumi.String("on"),
Range: pulumi.String("on"),
RangeChunkSize: pulumi.String("1MB"),
})
if err != nil {
return err
}
ids := esa.GetOriginRulesOutput(ctx, esa.GetOriginRulesOutputArgs{
Ids: pulumi.StringArray{
defaultOriginRule.ID(),
},
SiteId: defaultOriginRule.SiteId,
}, nil)
ctx.Export("esaOriginRulesId0", ids.ApplyT(func(ids esa.GetOriginRulesResult) (*string, error) {
return ids.Rules[0].Id, nil
}).(pulumi.StringPtrOutput))
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using AliCloud = Pulumi.AliCloud;
return await Deployment.RunAsync(() =>
{
var config = new Config();
var name = config.Get("name") ?? "terraform-example";
var @default = AliCloud.Esa.GetSites.Invoke(new()
{
PlanSubscribeType = "enterpriseplan",
});
var defaultOriginRule = new AliCloud.Esa.OriginRule("default", new()
{
SiteId = @default.Apply(@default => @default.Apply(getSitesResult => getSitesResult.Sites[0]?.Id)),
SiteVersion = 0,
RuleEnable = "on",
RuleName = name,
Rule = "true",
Sequence = 1,
OriginHost = "origin.example.com",
OriginScheme = "http",
OriginSni = "origin.example.com",
OriginHttpsPort = "443",
OriginHttpPort = "8080",
OriginReadTimeout = "30",
DnsRecord = "test.example.com",
OriginVerify = "on",
OriginMtls = "on",
Follow302Enable = "on",
Follow302MaxTries = "3",
Follow302TargetHost = "redirect.example.com",
Follow302RetainHeader = "on",
Follow302RetainArgs = "on",
Range = "on",
RangeChunkSize = "1MB",
});
var ids = AliCloud.Esa.GetOriginRules.Invoke(new()
{
Ids = new[]
{
defaultOriginRule.Id,
},
SiteId = defaultOriginRule.SiteId,
});
return new Dictionary<string, object?>
{
["esaOriginRulesId0"] = ids.Apply(getOriginRulesResult => getOriginRulesResult.Rules[0]?.Id),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.alicloud.esa.EsaFunctions;
import com.pulumi.alicloud.esa.inputs.GetSitesArgs;
import com.pulumi.alicloud.esa.OriginRule;
import com.pulumi.alicloud.esa.OriginRuleArgs;
import com.pulumi.alicloud.esa.inputs.GetOriginRulesArgs;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var config = ctx.config();
final var name = config.get("name").orElse("terraform-example");
final var default = EsaFunctions.getSites(GetSitesArgs.builder()
.planSubscribeType("enterpriseplan")
.build());
var defaultOriginRule = new OriginRule("defaultOriginRule", OriginRuleArgs.builder()
.siteId(default_.sites()[0].id())
.siteVersion(0)
.ruleEnable("on")
.ruleName(name)
.rule("true")
.sequence(1)
.originHost("origin.example.com")
.originScheme("http")
.originSni("origin.example.com")
.originHttpsPort("443")
.originHttpPort("8080")
.originReadTimeout("30")
.dnsRecord("test.example.com")
.originVerify("on")
.originMtls("on")
.follow302Enable("on")
.follow302MaxTries("3")
.follow302TargetHost("redirect.example.com")
.follow302RetainHeader("on")
.follow302RetainArgs("on")
.range("on")
.rangeChunkSize("1MB")
.build());
final var ids = EsaFunctions.getOriginRules(GetOriginRulesArgs.builder()
.ids(defaultOriginRule.id())
.siteId(defaultOriginRule.siteId())
.build());
ctx.export("esaOriginRulesId0", ids.applyValue(_ids -> _ids.rules()[0].id()));
}
}
configuration:
name:
type: string
default: terraform-example
resources:
defaultOriginRule:
type: alicloud:esa:OriginRule
name: default
properties:
siteId: ${default.sites[0].id}
siteVersion: 0
ruleEnable: on
ruleName: ${name}
rule: 'true'
sequence: 1
originHost: origin.example.com
originScheme: http
originSni: origin.example.com
originHttpsPort: '443'
originHttpPort: '8080'
originReadTimeout: '30'
dnsRecord: test.example.com
originVerify: on
originMtls: on
follow302Enable: on
follow302MaxTries: '3'
follow302TargetHost: redirect.example.com
follow302RetainHeader: on
follow302RetainArgs: on
range: on
rangeChunkSize: 1MB
variables:
default:
fn::invoke:
function: alicloud:esa:getSites
arguments:
planSubscribeType: enterpriseplan
ids:
fn::invoke:
function: alicloud:esa:getOriginRules
arguments:
ids:
- ${defaultOriginRule.id}
siteId: ${defaultOriginRule.siteId}
outputs:
esaOriginRulesId0: ${ids.rules[0].id}
pulumi {
required_providers {
alicloud = {
source = "pulumi/alicloud"
}
}
}
data "alicloud_esa_getsites" "default" {
plan_subscribe_type = "enterpriseplan"
}
data "alicloud_esa_getoriginrules" "ids" {
ids = [alicloud_esa_originrule.default.id]
site_id = alicloud_esa_originrule.default.site_id
}
resource "alicloud_esa_originrule" "default" {
site_id = data.alicloud_esa_getsites.default.sites[0].id
site_version = 0
rule_enable = "on"
rule_name = var.name
rule = "true"
sequence = 1
origin_host = "origin.example.com"
origin_scheme = "http"
origin_sni = "origin.example.com"
origin_https_port = "443"
origin_http_port = "8080"
origin_read_timeout = "30"
dns_record = "test.example.com"
origin_verify = "on"
origin_mtls = "on"
follow302_enable = "on"
follow302_max_tries = "3"
follow302_target_host = "redirect.example.com"
follow302_retain_header = "on"
follow302_retain_args = "on"
range = "on"
range_chunk_size = "1MB"
}
variable "name" {
type = string
default = "terraform-example"
}
output "esaOriginRulesId0" {
value = data.alicloud_esa_getoriginrules.ids.rules[0].id
}
Using getOriginRules
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getOriginRules(args: GetOriginRulesArgs, opts?: InvokeOptions): Promise<GetOriginRulesResult>
function getOriginRulesOutput(args: GetOriginRulesOutputArgs, opts?: InvokeOptions): Output<GetOriginRulesResult>def get_origin_rules(config_id: Optional[str] = None,
config_type: Optional[str] = None,
ids: Optional[Sequence[str]] = None,
name_regex: Optional[str] = None,
output_file: Optional[str] = None,
rule_name: Optional[str] = None,
site_id: Optional[str] = None,
site_version: Optional[int] = None,
opts: Optional[InvokeOptions] = None) -> GetOriginRulesResult
def get_origin_rules_output(config_id: pulumi.Input[Optional[str]] = None,
config_type: pulumi.Input[Optional[str]] = None,
ids: pulumi.Input[Optional[Sequence[pulumi.Input[str]]]] = None,
name_regex: pulumi.Input[Optional[str]] = None,
output_file: pulumi.Input[Optional[str]] = None,
rule_name: pulumi.Input[Optional[str]] = None,
site_id: pulumi.Input[Optional[str]] = None,
site_version: pulumi.Input[Optional[int]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetOriginRulesResult]func GetOriginRules(ctx *Context, args *GetOriginRulesArgs, opts ...InvokeOption) (*GetOriginRulesResult, error)
func GetOriginRulesOutput(ctx *Context, args *GetOriginRulesOutputArgs, opts ...InvokeOption) GetOriginRulesResultOutput> Note: This function is named GetOriginRules in the Go SDK.
public static class GetOriginRules
{
public static Task<GetOriginRulesResult> InvokeAsync(GetOriginRulesArgs args, InvokeOptions? opts = null)
public static Output<GetOriginRulesResult> Invoke(GetOriginRulesInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetOriginRulesResult> getOriginRules(GetOriginRulesArgs args, InvokeOptions options)
public static Output<GetOriginRulesResult> getOriginRules(GetOriginRulesArgs args, InvokeOptions options)
fn::invoke:
function: alicloud:esa/getOriginRules:getOriginRules
arguments:
# arguments dictionarydata "alicloud_esa_get_origin_rules" "name" {
# arguments
}The following arguments are supported:
- Site
Id string - The ID of the Site.
- Config
Id string - The ID of the Configuration.
- Config
Type string - The type of the Configuration. Valid values:
global,rule. - Ids List<string>
- A list of Origin Rule IDs. It formats as
<site_id>:<config_id>. - Name
Regex string - A regex string to filter results by Origin Rule name.
- Output
File string - File name where to save data source results (after running
pulumi preview). - Rule
Name string - The name of the rule.
- Site
Version int - The version of the site.
- Site
Id string - The ID of the Site.
- Config
Id string - The ID of the Configuration.
- Config
Type string - The type of the Configuration. Valid values:
global,rule. - Ids []string
- A list of Origin Rule IDs. It formats as
<site_id>:<config_id>. - Name
Regex string - A regex string to filter results by Origin Rule name.
- Output
File string - File name where to save data source results (after running
pulumi preview). - Rule
Name string - The name of the rule.
- Site
Version int - The version of the site.
- site_
id string - The ID of the Site.
- config_
id string - The ID of the Configuration.
- config_
type string - The type of the Configuration. Valid values:
global,rule. - ids list(string)
- A list of Origin Rule IDs. It formats as
<site_id>:<config_id>. - name_
regex string - A regex string to filter results by Origin Rule name.
- output_
file string - File name where to save data source results (after running
pulumi preview). - rule_
name string - The name of the rule.
- site_
version number - The version of the site.
- site
Id String - The ID of the Site.
- config
Id String - The ID of the Configuration.
- config
Type String - The type of the Configuration. Valid values:
global,rule. - ids List<String>
- A list of Origin Rule IDs. It formats as
<site_id>:<config_id>. - name
Regex String - A regex string to filter results by Origin Rule name.
- output
File String - File name where to save data source results (after running
pulumi preview). - rule
Name String - The name of the rule.
- site
Version Integer - The version of the site.
- site
Id string - The ID of the Site.
- config
Id string - The ID of the Configuration.
- config
Type string - The type of the Configuration. Valid values:
global,rule. - ids string[]
- A list of Origin Rule IDs. It formats as
<site_id>:<config_id>. - name
Regex string - A regex string to filter results by Origin Rule name.
- output
File string - File name where to save data source results (after running
pulumi preview). - rule
Name string - The name of the rule.
- site
Version number - The version of the site.
- site_
id str - The ID of the Site.
- config_
id str - The ID of the Configuration.
- config_
type str - The type of the Configuration. Valid values:
global,rule. - ids Sequence[str]
- A list of Origin Rule IDs. It formats as
<site_id>:<config_id>. - name_
regex str - A regex string to filter results by Origin Rule name.
- output_
file str - File name where to save data source results (after running
pulumi preview). - rule_
name str - The name of the rule.
- site_
version int - The version of the site.
- site
Id String - The ID of the Site.
- config
Id String - The ID of the Configuration.
- config
Type String - The type of the Configuration. Valid values:
global,rule. - ids List<String>
- A list of Origin Rule IDs. It formats as
<site_id>:<config_id>. - name
Regex String - A regex string to filter results by Origin Rule name.
- output
File String - File name where to save data source results (after running
pulumi preview). - rule
Name String - The name of the rule.
- site
Version Number - The version of the site.
getOriginRules Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Ids List<string>
- Names List<string>
- A list of Origin Rule names.
- Rules
List<Pulumi.
Ali Cloud. Esa. Outputs. Get Origin Rules Rule> - A list of Origin Rules. Each element contains the following attributes:
- Site
Id string - Config
Id string - The ID of the Configuration.
- Config
Type string - The type of the Configuration.
- Name
Regex string - Output
File string - Rule
Name string - Rule name.
- Site
Version int - The version of the site.
- Id string
- The provider-assigned unique ID for this managed resource.
- Ids []string
- Names []string
- A list of Origin Rule names.
- Rules
[]Get
Origin Rules Rule - A list of Origin Rules. Each element contains the following attributes:
- Site
Id string - Config
Id string - The ID of the Configuration.
- Config
Type string - The type of the Configuration.
- Name
Regex string - Output
File string - Rule
Name string - Rule name.
- Site
Version int - The version of the site.
- id string
- The provider-assigned unique ID for this managed resource.
- ids list(string)
- names list(string)
- A list of Origin Rule names.
- rules list(object)
- A list of Origin Rules. Each element contains the following attributes:
- site_
id string - config_
id string - The ID of the Configuration.
- config_
type string - The type of the Configuration.
- name_
regex string - output_
file string - rule_
name string - Rule name.
- site_
version number - The version of the site.
- id String
- The provider-assigned unique ID for this managed resource.
- ids List<String>
- names List<String>
- A list of Origin Rule names.
- rules
List<Get
Origin Rules Rule> - A list of Origin Rules. Each element contains the following attributes:
- site
Id String - config
Id String - The ID of the Configuration.
- config
Type String - The type of the Configuration.
- name
Regex String - output
File String - rule
Name String - Rule name.
- site
Version Integer - The version of the site.
- id string
- The provider-assigned unique ID for this managed resource.
- ids string[]
- names string[]
- A list of Origin Rule names.
- rules
Get
Origin Rules Rule[] - A list of Origin Rules. Each element contains the following attributes:
- site
Id string - config
Id string - The ID of the Configuration.
- config
Type string - The type of the Configuration.
- name
Regex string - output
File string - rule
Name string - Rule name.
- site
Version number - The version of the site.
- id str
- The provider-assigned unique ID for this managed resource.
- ids Sequence[str]
- names Sequence[str]
- A list of Origin Rule names.
- rules
Sequence[Get
Origin Rules Rule] - A list of Origin Rules. Each element contains the following attributes:
- site_
id str - config_
id str - The ID of the Configuration.
- config_
type str - The type of the Configuration.
- name_
regex str - output_
file str - rule_
name str - Rule name.
- site_
version int - The version of the site.
- id String
- The provider-assigned unique ID for this managed resource.
- ids List<String>
- names List<String>
- A list of Origin Rule names.
- rules List<Property Map>
- A list of Origin Rules. Each element contains the following attributes:
- site
Id String - config
Id String - The ID of the Configuration.
- config
Type String - The type of the Configuration.
- name
Regex String - output
File String - rule
Name String - Rule name.
- site
Version Number - The version of the site.
Supporting Types
GetOriginRulesRule
- Config
Id string - The ID of the Configuration.
- Config
Type string - The type of the Configuration. Valid values:
global,rule. - Dns
Record string - Overrides the DNS record for the origin request.
- Follow302Enable string
- Specifies whether to follow 302 redirects from the origin.
- Follow302Max
Tries string - The maximum number of 302 redirects to follow.
- Follow302Retain
Args string - Specifies whether to retain the original request parameters when following a redirect.
- Follow302Retain
Header string - Specifies whether to retain the original request header when following a redirect.
- Follow302Target
Host string - The host to use for the origin request after following a 302 redirect.
- Id string
- The ID of the Origin Rule.
- Origin
Host string - The Host header carried in the origin request.
- Origin
Http stringPort - The origin server port used for origin requests over HTTP.
- Origin
Https stringPort - The origin server port used for origin requests over HTTPS.
- Origin
Mtls string - Specifies whether mTLS is enabled.
- Origin
Read stringTimeout - The read timeout, in seconds, for the origin server.
- Origin
Scheme string - The protocol used for origin requests.
- Origin
Sni string - The SNI carried in the origin request.
- Origin
Verify string - Specifies whether to verify the origin server certificate.
- Range string
- Specifies whether to use range-based requests to retrieve files from the origin.
- Range
Chunk stringSize - The size of each chunk for range requests.
- Rule string
- Rule content.
- Rule
Enable string - Rule switch.
- Rule
Name string - The name of the rule.
- Sequence int
- The rule execution order prioritizes lower numerical values.
- Site
Version int - The version of the site.
- Config
Id string - The ID of the Configuration.
- Config
Type string - The type of the Configuration. Valid values:
global,rule. - Dns
Record string - Overrides the DNS record for the origin request.
- Follow302Enable string
- Specifies whether to follow 302 redirects from the origin.
- Follow302Max
Tries string - The maximum number of 302 redirects to follow.
- Follow302Retain
Args string - Specifies whether to retain the original request parameters when following a redirect.
- Follow302Retain
Header string - Specifies whether to retain the original request header when following a redirect.
- Follow302Target
Host string - The host to use for the origin request after following a 302 redirect.
- Id string
- The ID of the Origin Rule.
- Origin
Host string - The Host header carried in the origin request.
- Origin
Http stringPort - The origin server port used for origin requests over HTTP.
- Origin
Https stringPort - The origin server port used for origin requests over HTTPS.
- Origin
Mtls string - Specifies whether mTLS is enabled.
- Origin
Read stringTimeout - The read timeout, in seconds, for the origin server.
- Origin
Scheme string - The protocol used for origin requests.
- Origin
Sni string - The SNI carried in the origin request.
- Origin
Verify string - Specifies whether to verify the origin server certificate.
- Range string
- Specifies whether to use range-based requests to retrieve files from the origin.
- Range
Chunk stringSize - The size of each chunk for range requests.
- Rule string
- Rule content.
- Rule
Enable string - Rule switch.
- Rule
Name string - The name of the rule.
- Sequence int
- The rule execution order prioritizes lower numerical values.
- Site
Version int - The version of the site.
- config_
id string - The ID of the Configuration.
- config_
type string - The type of the Configuration. Valid values:
global,rule. - dns_
record string - Overrides the DNS record for the origin request.
- follow302_
enable string - Specifies whether to follow 302 redirects from the origin.
- follow302_
max_ stringtries - The maximum number of 302 redirects to follow.
- follow302_
retain_ stringargs - Specifies whether to retain the original request parameters when following a redirect.
- follow302_
retain_ stringheader - Specifies whether to retain the original request header when following a redirect.
- follow302_
target_ stringhost - The host to use for the origin request after following a 302 redirect.
- id string
- The ID of the Origin Rule.
- origin_
host string - The Host header carried in the origin request.
- origin_
http_ stringport - The origin server port used for origin requests over HTTP.
- origin_
https_ stringport - The origin server port used for origin requests over HTTPS.
- origin_
mtls string - Specifies whether mTLS is enabled.
- origin_
read_ stringtimeout - The read timeout, in seconds, for the origin server.
- origin_
scheme string - The protocol used for origin requests.
- origin_
sni string - The SNI carried in the origin request.
- origin_
verify string - Specifies whether to verify the origin server certificate.
- range string
- Specifies whether to use range-based requests to retrieve files from the origin.
- range_
chunk_ stringsize - The size of each chunk for range requests.
- rule string
- Rule content.
- rule_
enable string - Rule switch.
- rule_
name string - The name of the rule.
- sequence number
- The rule execution order prioritizes lower numerical values.
- site_
version number - The version of the site.
- config
Id String - The ID of the Configuration.
- config
Type String - The type of the Configuration. Valid values:
global,rule. - dns
Record String - Overrides the DNS record for the origin request.
- follow302Enable String
- Specifies whether to follow 302 redirects from the origin.
- follow302Max
Tries String - The maximum number of 302 redirects to follow.
- follow302Retain
Args String - Specifies whether to retain the original request parameters when following a redirect.
- follow302Retain
Header String - Specifies whether to retain the original request header when following a redirect.
- follow302Target
Host String - The host to use for the origin request after following a 302 redirect.
- id String
- The ID of the Origin Rule.
- origin
Host String - The Host header carried in the origin request.
- origin
Http StringPort - The origin server port used for origin requests over HTTP.
- origin
Https StringPort - The origin server port used for origin requests over HTTPS.
- origin
Mtls String - Specifies whether mTLS is enabled.
- origin
Read StringTimeout - The read timeout, in seconds, for the origin server.
- origin
Scheme String - The protocol used for origin requests.
- origin
Sni String - The SNI carried in the origin request.
- origin
Verify String - Specifies whether to verify the origin server certificate.
- range String
- Specifies whether to use range-based requests to retrieve files from the origin.
- range
Chunk StringSize - The size of each chunk for range requests.
- rule String
- Rule content.
- rule
Enable String - Rule switch.
- rule
Name String - The name of the rule.
- sequence Integer
- The rule execution order prioritizes lower numerical values.
- site
Version Integer - The version of the site.
- config
Id string - The ID of the Configuration.
- config
Type string - The type of the Configuration. Valid values:
global,rule. - dns
Record string - Overrides the DNS record for the origin request.
- follow302Enable string
- Specifies whether to follow 302 redirects from the origin.
- follow302Max
Tries string - The maximum number of 302 redirects to follow.
- follow302Retain
Args string - Specifies whether to retain the original request parameters when following a redirect.
- follow302Retain
Header string - Specifies whether to retain the original request header when following a redirect.
- follow302Target
Host string - The host to use for the origin request after following a 302 redirect.
- id string
- The ID of the Origin Rule.
- origin
Host string - The Host header carried in the origin request.
- origin
Http stringPort - The origin server port used for origin requests over HTTP.
- origin
Https stringPort - The origin server port used for origin requests over HTTPS.
- origin
Mtls string - Specifies whether mTLS is enabled.
- origin
Read stringTimeout - The read timeout, in seconds, for the origin server.
- origin
Scheme string - The protocol used for origin requests.
- origin
Sni string - The SNI carried in the origin request.
- origin
Verify string - Specifies whether to verify the origin server certificate.
- range string
- Specifies whether to use range-based requests to retrieve files from the origin.
- range
Chunk stringSize - The size of each chunk for range requests.
- rule string
- Rule content.
- rule
Enable string - Rule switch.
- rule
Name string - The name of the rule.
- sequence number
- The rule execution order prioritizes lower numerical values.
- site
Version number - The version of the site.
- config_
id str - The ID of the Configuration.
- config_
type str - The type of the Configuration. Valid values:
global,rule. - dns_
record str - Overrides the DNS record for the origin request.
- follow302_
enable str - Specifies whether to follow 302 redirects from the origin.
- follow302_
max_ strtries - The maximum number of 302 redirects to follow.
- follow302_
retain_ strargs - Specifies whether to retain the original request parameters when following a redirect.
- follow302_
retain_ strheader - Specifies whether to retain the original request header when following a redirect.
- follow302_
target_ strhost - The host to use for the origin request after following a 302 redirect.
- id str
- The ID of the Origin Rule.
- origin_
host str - The Host header carried in the origin request.
- origin_
http_ strport - The origin server port used for origin requests over HTTP.
- origin_
https_ strport - The origin server port used for origin requests over HTTPS.
- origin_
mtls str - Specifies whether mTLS is enabled.
- origin_
read_ strtimeout - The read timeout, in seconds, for the origin server.
- origin_
scheme str - The protocol used for origin requests.
- origin_
sni str - The SNI carried in the origin request.
- origin_
verify str - Specifies whether to verify the origin server certificate.
- range str
- Specifies whether to use range-based requests to retrieve files from the origin.
- range_
chunk_ strsize - The size of each chunk for range requests.
- rule str
- Rule content.
- rule_
enable str - Rule switch.
- rule_
name str - The name of the rule.
- sequence int
- The rule execution order prioritizes lower numerical values.
- site_
version int - The version of the site.
- config
Id String - The ID of the Configuration.
- config
Type String - The type of the Configuration. Valid values:
global,rule. - dns
Record String - Overrides the DNS record for the origin request.
- follow302Enable String
- Specifies whether to follow 302 redirects from the origin.
- follow302Max
Tries String - The maximum number of 302 redirects to follow.
- follow302Retain
Args String - Specifies whether to retain the original request parameters when following a redirect.
- follow302Retain
Header String - Specifies whether to retain the original request header when following a redirect.
- follow302Target
Host String - The host to use for the origin request after following a 302 redirect.
- id String
- The ID of the Origin Rule.
- origin
Host String - The Host header carried in the origin request.
- origin
Http StringPort - The origin server port used for origin requests over HTTP.
- origin
Https StringPort - The origin server port used for origin requests over HTTPS.
- origin
Mtls String - Specifies whether mTLS is enabled.
- origin
Read StringTimeout - The read timeout, in seconds, for the origin server.
- origin
Scheme String - The protocol used for origin requests.
- origin
Sni String - The SNI carried in the origin request.
- origin
Verify String - Specifies whether to verify the origin server certificate.
- range String
- Specifies whether to use range-based requests to retrieve files from the origin.
- range
Chunk StringSize - The size of each chunk for range requests.
- rule String
- Rule content.
- rule
Enable String - Rule switch.
- rule
Name String - The name of the rule.
- sequence Number
- The rule execution order prioritizes lower numerical values.
- site
Version Number - The version of the site.
Package Details
- Repository
- Alibaba Cloud pulumi/pulumi-alicloud
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
alicloudTerraform Provider.
Viewing docs for Alibaba Cloud v3.105.0
published on Thursday, Jul 16, 2026 by Pulumi
published on Thursday, Jul 16, 2026 by Pulumi